ローカルディレクトリのrequirements.txtファイルに従ってpipを使用してパッケージをインストールするにはどうすればよいですか?

| |

問題は次のとおりです:

次のようなrequirements.txtファイルがあります:

  BeautifulSoup == 3.2.0 Django == 1.3 Fabric == 1.2.0 Jinja2 == 2.5.5 PyYAML == 3.09 Pygments == 1.4 SQLAlchemy == 0.7.1 South == 0.7.3 amqplib==0.6。 1 anyjson == 0.3 ...  

すべてのパッケージとその他のパッケージを含むローカルアーカイブディレクトリがあります。

新しい virtualenv with

  bin/virtualenvテスト 

アクティブ化すると、ローカルアーカイブディレクトリから requirements.txtに従ってパッケージをインストールしようとしました。

  source bin / activate pip install -r /path/to/requirements.txt -f file:/// path / to / archive /  

取得しましたインストールが正常であることを示しているように見える出力:

  Fabric == 1.2.0のダウンロード/解凍(-r ../testing/requirements.txtから(3行目))パッケージFabric警告に対してsetup.py eg_infoを実行しています:ディレクトリ"docsの下に"*"に一致する以前に含まれていたファイルがありません/ _build "警告:"fabfile.py"に一致するファイルが見つかりませんダウンロード/解凍South== 0.7.3(-r ../testing/requirements.txt(8行目)から)パッケージSouthのsetup.pyegg_infoを実行しています。 ..  

しかし、後のチェックで、どのパッケージも正しくインストールされていないことがわかりました。パッケージをインポートできません。virtualenvのsite-packagesディレクトリにパッケージが見つかりません。では、何が問題だったのでしょうか?

Shop

Learn programming in R: courses

$

Best Python online courses for 2022

$

Best laptop for Fortnite

$

Best laptop for Excel

$

Best laptop for Solidworks

$

Best laptop for Roblox

$

Best computer for crypto mining

$

Best laptop for Sims 4

$

Latest questions

NUMPYNUMPY

psycopg2: insert multiple rows with one query

12 answers

NUMPYNUMPY

How to convert Nonetype to int or string?

12 answers

NUMPYNUMPY

How to specify multiple return types using type-hints

12 answers

NUMPYNUMPY

Javascript Error: IPython is not defined in JupyterLab

12 answers

News


Wiki

Python OpenCV | cv2.putText () method

numpy.arctan2 () in Python

Python | os.path.realpath () method

Python OpenCV | cv2.circle () method

Python OpenCV cv2.cvtColor () method

Python - Move item to the end of the list

time.perf_counter () function in Python

Check if one list is a subset of another in Python

Python os.path.join () method